edu.msu.cme.rdp.classifier

## Class ClassificationResult

- java.lang.Object
- - edu.msu.cme.rdp.classifier.ClassificationResult

    public class ClassificationResult
    extends java.lang.Object

This class holds the classification results for a query sequence.

### Constructor Summary

Constructors
Constructor and Description
`ClassificationResult(edu.msu.cme.rdp.readseq.readers.Sequence p, boolean reverse, java.util.List<RankAssignment> a, HierarchyVersion version)` Creates a new instance of ClassificationResult.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<RankAssignment>` `getAssignments()` Returns a list of RankAssignments.
`HierarchyVersion` `getHierarchyTrainsetNo()` Returns the version of the taxonomy hierarchy from of the training file.
`edu.msu.cme.rdp.readseq.readers.Sequence` `getSequence()` Returns the query sequence
`int` `getTrainsetNo()` Returns the training set number of the taxonomy hierarchy from of the training file.
`boolean` `isReverse()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassificationResult

    public ClassificationResult(edu.msu.cme.rdp.readseq.readers.Sequence p,
                                boolean reverse,
                                java.util.List<RankAssignment> a,
                                HierarchyVersion version)

Creates a new instance of ClassificationResult. This class holds the classification results for a query sequence.

### Method Detail

#### getSequence

    public edu.msu.cme.rdp.readseq.readers.Sequence getSequence()

Returns the query sequence

#### getAssignments

    public java.util.List<RankAssignment> getAssignments()

Returns a list of RankAssignments. The assignments are returned in the order of taxonomic ranks, from the highest to the lowest.

#### getTrainsetNo

    public int getTrainsetNo()

Returns the training set number of the taxonomy hierarchy from of the training file.

#### getHierarchyTrainsetNo

    public HierarchyVersion getHierarchyTrainsetNo()

Returns the version of the taxonomy hierarchy from of the training file.

#### isReverse

    public boolean isReverse()